List contacts
curl --request GET \
--url https://api.recepta.ai/api/v1/api/contacts \
--header 'x-api-key: <api-key>'import requests
url = "https://api.recepta.ai/api/v1/api/contacts"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.recepta.ai/api/v1/api/contacts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"message": "Clients retrieved successfully",
"data": {
"clients": [
{
"id": "697929d5ebccbcca5cdaf13b",
"firstName": "Jane",
"lastName": "Doe",
"fullName": "Jane Doe",
"email": "jane@example.com",
"phone": "+15551234567",
"source": "API",
"tags": [
"lead",
"website"
],
"status": "active",
"notes": "Interested in premium plan",
"company_name": "Acme Corp",
"address": "<string>",
"city": "<string>",
"state": "<string>",
"zipCode": "<string>",
"country": "<string>",
"customFields": {
"referralSource": "google"
},
"isActive": true,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
],
"pagination": {
"total": 142,
"page": 1,
"limit": 20,
"totalPages": 8
}
}
}Contacts
List Contacts
Retrieve a paginated list of contacts with optional search and filtering.
GET
/
api
/
contacts
List contacts
Authorizations
Your Recepta API key (starts with rcp_)
Query Parameters
Page number
Results per page (max 100)
Search by name, email, or phone
Filter by source
Available options:
MANUAL, FACEBOOK, CSV, API, CALL Filter by tag
⌘I

